Subject: Re: bug#57639: [PATCH] Add new command 'toggle-theme'

From: Philip Kaludercic <[email-masked]>
Date: Thu, 20 Oct 2022 16:40:18 +0000

Stefan Monnier <[email-masked]> writes:

> Philip Kaludercic [2022-10-19 07:16:13] wrote:
>> Stefan Monnier <[email-masked]> writes:
>>>> The fundamental issue that necessitates boilerplate is that packages are
>>>> not added to the theme load path, and adding a new cookie type doesn't
>>>> change that.
>>> We could arrange for `autoload/loaddefs-gen` to recognize `deftheme` and
>>> add the directory containing the file containing this `deftheme` to the
>>> `custom-theme-load-path`.
>> For packages installed using package.el or in general?
>
> In general.  For those few built-in themes, it would mean we'd
> repeatedly add the same dir to `custom-theme-load-path`, which is
> inefficient, but this inefficiency should be completely harmless (it's
> paid for during the preload).
>
>> If this is possible I think this would be a nice idea.
>
> It should be easy to do.

Sadly I am stumped on how this could be done, as I have little
experience with the bootstrapping process.  Could you give me a few pointers?